
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在CentOS上使用yum安装MySQL+安全优化 / iVAN</title>

    <meta name="description" content="在CentOS上使用yum安装MySQL+安全优化 0.说明         使用yum安装的好处是,你不用自己去解决软件之间的依赖问题,基本上yum执行完成,也就把软件安装好了,下面介绍使用yum的方法来安装MySQL,同时也会介绍安装完成后的安全优化.         注意:下面的操作都是以新安装的CentOS  6.5来作为演示的. 1.使用yum安装MySQL          查看是否已经安装MySQL: 1 [root@leaf]# yum list installed | grep mysql         如果你在安装CentO">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在CentOS上使用yum安装MySQL+安全优化</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>0.说明</strong></p>
<p>        使用yum安装的好处是，你不用自己去解决软件之间的依赖问题，基本上yum执行完成，也就把软件安装好了，下面介绍使用yum的方法来安装MySQL，同时也会介绍安装完成后的安全优化。</p>
<p>        注意：下面的操作都是以新安装的CentOS  6.5来作为演示的。</p>
<hr>
<p><strong>1.使用yum安装MySQL</strong></p>
<p>        </p>
<ul>
<li>查看是否已经安装MySQL：</li>
</ul>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<p><code>[root@leaf]</code><code># yum list installed | grep mysql</code></p>
</td>
</tr>
</tbody>
</table>
<p>        如果你在安装CentOS的时候指定了安装MySQL数据库，就要有显示，这里我并没有安装MySQL。</p>
<ul>
<li>安装MySQL数据库：</li>
</ul>
<table>
<tbody>
<tr>
<td>
<br />1
</td>
<td>
<p><code>[root@leaf ~]</code><code># yum -y install mysql-server mysql mysql-devel</code></p>
</td>
</tr>
</tbody>
</table>
<p>        注意在你的系统上查看安装成功后的提示信息。</p>
<ul>
<li>查看安装的MySQL信息：</li>
</ul>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5
</td>
<td>
<p><code>[root@leaf ~]</code><code># yum list installed | grep mysql</code></p>
<p><code>mysql.x86_64            5.1.73-5.el6_6  @base                                   </code></p>
<p><code>mysql-devel.x86_64      5.1.73-5.el6_6  @base                                   </code></p>
<p><code>mysql-libs.x86_64       5.1.73-5.el6_6  @base                                   </code></p>
<p><code>mysql-server.x86_64     5.1.73-5.el6_6  @base</code></p>
</td>
</tr>
</tbody>
</table>
<ul>
<li>开启MySQL服务：</li>
</ul>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2
</td>
<td>
<p><code>[root@leaf ~]</code><code># service mysqld start</code></p>
<p><code>Starting mysqld:                                           [  OK  ]</code></p>
</td>
</tr>
</tbody>
</table>
<ul>
<li>登陆到MySQL数据库中：</li>
</ul>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14
</td>
<td>
<p><code>[root@leaf ~]</code><code># mysql</code></p>
<p><code>Welcome to the MySQL monitor.  Commands end with ; or \g.</code></p>
<p><code>Your MySQL connection </code><code>id</code> <code>is 4</code></p>
<p><code>Server version: 5.1.73 Source distribution</code></p>
<p> </p>
<p><code>Copyright (c) 2000, 2013, Oracle and</code><code>/or</code> <code>its affiliates. All rights reserved.</code></p>
<p> </p>
<p><code>Oracle is a registered trademark of Oracle Corporation and</code><code>/or</code> <code>its</code></p>
<p><code>affiliates. Other names may be trademarks of their respective</code></p>
<p><code>owners.</code></p>
<p> </p>
<p><code>Type </code><code>'help;'</code> <code>or </code><code>'\h'</code> <code>for</code> <code>help. Type </code><code>'\c'</code> <code>to </code><code>clear</code> <code>the current input statement.</code></p>
<p> </p>
<p><code>mysql&gt;</code></p>
</td>
</tr>
</tbody>
</table>
<p>        其实如果是非生产环境要求的话，像上面这样使用yum简单安装就可以了，当然如果是用于生产环境的，那么建议还是使用源码安装。</p>
<hr>
<p><strong>2.MySQL安全优化</strong></p>
<p>        至于为什么要安全优化，可以看博主写的用源码安装MySQL的博文：<a href="http://xpleaf.blog.51cto.com/9315560/1748063" rel="external nofollow noreferrer">《在CentOS上源码安装MySQL+安装问题解决+安全优化》</a></p>
<p>        下面就直接给出操作的步骤。（注意：要确保MySQL服务已经开启，上面已经给出方法）</p>
<p><strong>（1）为root用户创建密码</strong></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7
</td>
<td>
<p><code>[root@leaf ~]</code><code># mysql -u root</code></p>
<p><code>mysql&gt; update mysql.user </code><code>set</code> <code>password = password(</code><code>'123456'</code><code>) where User = </code><code>'root'</code><code>;</code></p>
<p><code>Query OK, 3 rows affected (0.00 sec)</code></p>
<p><code>Rows matched: 3  Changed: 3  Warnings: 0</code></p>
<p> </p>
<p><code>mysql&gt; flush privileges;</code></p>
<p><code>Query OK, 0 rows affected (0.00 sec)</code></p>
</td>
</tr>
</tbody>
</table>
<p>        上面就为root用户创建了密码`123456`。</p>
<p><strong>（2）删除匿名用户</strong></p>
<ul>
<li>先使用刚刚创建的密码登陆到MySQL中：</li>
</ul>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4
</td>
<td>
<p><code>[root@leaf ~]</code><code># mysql -u root -p</code></p>
<p><code>Enter password:</code></p>
<p> </p>
<p><code>mysql&gt;</code></p>
</td>
</tr>
</tbody>
</table>
<ul>
<li>删除匿名用户：</li>
</ul>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7
</td>
<td>
<p><code>mysql&gt; DROP USER </code><code>''</code><code>@</code><code>'localhost'</code><code>;</code></p>
<p><code>Query OK, 0 rows affected (0.00 sec)</code></p>
<p> </p>
<p><code>mysql&gt; DROP USER </code><code>''</code><code>@</code><code>'leaf'</code><code>;     </code></p>
<p><code>Query OK, 0 rows affected (0.00 sec)</code></p>
<p><code>mysql&gt; flush privileges;</code></p>
<p><code>Query OK, 0 rows affected (0.00 sec)</code></p>
</td>
</tr>
</tbody>
</table>
<p>        注意第二条删除语句的`leaf`，在这里，`leaf`为我的主机名，按照你的实际情况进行操作即可。</p>
<p>        执行完上面（1）（2）步之后再查看一下当前的账户信息：</p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9
</td>
<td>
<p><code>mysql&gt; </code><code>select</code> <code>User, Host, Password from mysql.user; </code></p>
<p><code>+------+-----------+-------------------------------------------+</code></p>
<p><code>| User | Host      | Password                                  |</code></p>
<p><code>+------+-----------+-------------------------------------------+</code></p>
<p><code>| root | localhost | *6BB4837EB74329105EE4568DDA7DC67ED2CA2AD9 |</code></p>
<p><code>| root | leaf      | *6BB4837EB74329105EE4568DDA7DC67ED2CA2AD9 |</code></p>
<p><code>| root | 127.0.0.1 | *6BB4837EB74329105EE4568DDA7DC67ED2CA2AD9 |</code></p>
<p><code>+------+-----------+-------------------------------------------+</code></p>
<p><code>3 rows </code><code>in</code> <code>set</code> <code>(0.00 sec)</code></p>
</td>
</tr>
</tbody>
</table>
<p><strong>（3）删除test数据库或名字以test开头的数据库</strong></p>
<p>        操作如下：</p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8
</td>
<td>
<p><code>mysql&gt; delete from mysql.db where db like </code><code>'test%'</code><code>;</code></p>
<p><code>Query OK, 2 rows affected (0.00 sec)</code></p>
<p> </p>
<p><code>mysql&gt; drop database </code><code>test</code><code>;</code></p>
<p><code>Query OK, 0 rows affected (0.00 sec)</code></p>
<p> </p>
<p><code>mysql&gt; flush privileges;</code></p>
<p><code>Query OK, 0 rows affected (0.00 sec)</code></p>
</td>
</tr>
</tbody>
</table>
<p>        OK，到这里的话，使用yum安装MySQL以及MySQL的基本安全优化就完成了，应该不会有太大的问题。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 17:16:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96/" title="优化">优化</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e8%a3%85/" title="安装">安装</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93rds/" title="云数据库RDS">云数据库RDS</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在CentOS上使用yum安装MySQL+安全优化的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NPXPM.html" rel="bookmark">在CentOS上源码安装MySQL&plus;安装问题解决&plus;安全优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.说明         当然,MySQL的安装方法多种多样,在CentOS上,你可以采用YUM的方式安装,这样的好处是:快速方便.基本上,它会帮你解决所有的函数库依赖问题,正常情况下,只要YUM执行完成,那么MySQL也就可以使用了.         但我更倾向于使用源码的方式来安装MySQL,原因也很简单:除了有详细的官方文档外,你还可以非常清楚地知道你自己在做什么,这点在以后MySQL运行出现问题时将会有很大的帮助!         但即便是按照官方文档来安装,你也会遇到各种各样的问题,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bodjOjM.html" rel="bookmark">在Ubuntu上使用apt-get安装MySQL&plus;安全优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.说明         使用apt-get安装的好处是,你不用自己去解决软件之间的依赖问题,基本上apt执行完成,也就把软件安装好了,下面介绍使用apt的方法来安装MySQL,同时也会介绍安装完成后的安全优化.         注意:下面的操作都是以新安装的Ubuntu 15.10来作为演示的. 1.使用apt安装MySQL          安装MySQL数据库:         注意:在安装过程中会几次要求你设置MySQL数据库的管理员用户密码,我们这里先不设置.(出现要求设置的页面时直接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJrjR4z.html" rel="bookmark">CentOS 7通过yum安装MySQL数据库例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在CentOS 7中使用yum list mysql*,没有可以安装的MySQL版本,CentOS 7中默认使用的数据库是MariaDB,关于MariaDB,它是MySQL的一个分支,MySQL被Oracle收购有闭源的风险,因此有了一个MariaDB分支,兼容MySQL,下面是CentOS 7下通过yum安装MySQL的方式. 我们先要下载 Yum Repo package of MySQL Server 5.6 yum install wget wget http://repo.mysql.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVXlnQM.html" rel="bookmark">CentOS 6&period;4 YUM 安装MySQL Proxy</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				5.2. CentOS   # yum install mysql-proxy # cat /etc/sysconfig/mysql-proxy # Options for mysql-proxy ADMIN_USER=&quot;admin&quot; ADMIN_PASSWORD=&quot;&quot; ADMIN_LUA_SCRIPT=&quot;/usr/lib64/mysql-proxy/lua/admin.lua&quot; PROXY_USER=&quot;mysql-proxy&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnOwojz.html" rel="bookmark">CentOS6&period;4上使用yum安装mysql&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做软件开发时基本都会涉及到数据的使用,比如最简单用户登录注册,这用户信息则需要使用数据库做存储管理.而在项目开发测试过程最常使用的数据库则是mysql. 下面由小河给大家分享:如何在CentOS系统上使用yum安装mysql数据库,以CentOS6.4系统为例. 工具/原料 yum库 Mysql数据库 CentOS6.4_64bit 方法/步骤 查看CentOS自带mysql是否已安装. 输入:yumlistinstalled|grepmysql 若有自带安装的mysql,如何卸载CentOS系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGA8j2M.html" rel="bookmark">mysql   centos-centos上通过rpm安装mysql失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 centos上通过rpm安装mysql失败 具体如下: [root@localhost 下载]# rpm -ivh MySQL-server-5.5.46-1.linux2.6.x86_64.rpm --nosignature 准备中... ################################# [100%] Giving mysqld 5 seconds to exit nicely 正在升级/安装... 1:MySQL-server-5.5.46-1.linux2.6			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkomKp.html" rel="bookmark">CentOS 下yum安装mysql、jdk和tomcat的方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0. 创建个人文件夹 # 使用 yum 安装tomcat 和 mysql # 创建文件夹 cd /usr/local mkdir hehe 1. 安装rzsz # 1. 安装rzsz yum list lrzsz* yum install lrzsz -y 2. 安装JDK,path之类的已经自动设置好了 # 2. 安装JDK yum list java* yum install java-1.7.0-openjdk* -y 3. 安装mysql # 3. 安装mysql yum list my			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYjwLp.html" rel="bookmark">CentOS 7&period;0下使用yum安装mysql的方法详解&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CentOS7默认数据库是mariadb,配置等用着不习惯,因此决定改成mysql,但是CentOS7的yum源中默认好像是没有mysql的.为了解决这个问题,我们要先下载mysql的repo源. 1.下载mysql的repo源 $ wget http://repo.mysql.com/mysql-community-release-el7-5.noarch.rpm 2.安装mysql-community-release-el7-5.noarch.rpm包 $ sudo rpm -ivh mys			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYOdKb.html" rel="bookmark">CentOS系统下编译安装MySQL以及设置相关yum源的教程&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编译安装软件通常会遇到各种问题,尤其是在编译lamp这样的多种软件协同工作时各软件还相互影响,尤其是之前安装的软件会影响后边程序的编译安装,出现这种问题常常是之前安装的软件没有导出库文件和头文件,因而导致后面的软件在安装是需要指定前面安装程序的路径时常常提示找不到文件之类的错误,下面以mysql为例 1.安装开发环境 yum groupinstall &quot;Development tools&quot; 2.解决软件包依赖包 安装编译代码需要的包 yum -y install make gcc-c+			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrZ2mM.html" rel="bookmark" class="title">面对谷歌的语义分析算法 应该如何布局网站内容</a>
					<div>
						前段时间谷歌发布了&quot;谷歌将结合语义搜索技术改善搜索算法&quot;,据说这将对数以百万计依赖谷歌页面排行搜索结果的网站.虽然说目前国内最大的搜索引擎是百度,但谷歌这么做了.相信百度离这么做也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKLyAp.html" rel="bookmark" class="title">ruby异常处理&colon;ensure</a>
					<div>
						当一个方法结束工作时我们也许需要进行清理工作.也许一个打开的文件需要关闭,缓冲区的数据应清 空等等.如果对于每一个方法这里永远只有一个退出点,我们可以心安理得地将我们的清理代码放在一个地 方并知道它会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7o68b.html" rel="bookmark" class="title">JAVA中对象创建和初始化过程</a>
					<div>
						分析一下JAVA中对象创建和初始化过程中涉及的相关概念问题,java中栈(stack)与堆(heap),对象.引用.句柄的概念. 1.Java中的数据类型 Java中有3个数据类型: 基本数据类型(在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOEZAM.html" rel="bookmark" class="title">PS滤镜制作球体效果</a>
					<div>
						些漂亮的全景图经过简单的处理,变成了类似3D效果的球体.而且透视效果非常逼真.这么奇妙的效果竟然就是用极坐标滤镜来完成.大家可以尝试一下其它素材的效果. 原图最终效果  1.打开原图素材,选择菜单:图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJjVlp.html" rel="bookmark" class="title">迅雷下载的文件怎么移动到私人空间里？</a>
					<div>
						  迅雷下载有一个私人空间,需要密码才能访问,下面一起移动文件到私人空间吧 1.首先,在桌面上打开迅雷,进入主页面 2.点击已下载,进入完成列表,选择需要移动的文件 3.右键需要移动的文件,点击,移至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eVoyb.html" rel="bookmark" class="title">金山毒霸怎么恢复已删文件</a>
					<div>
						  1.在金山毒霸主界面,切换到&quot;电脑杀毒&quot;界面,点击右上角的&quot;恢复区&quot;. 2.点击右上角的菜单按钮,选择&quot;恢复区&quot;. 3.勾选需要恢复的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EO4KM.html" rel="bookmark" class="title">3199元i5-4570&sol;GTX650TI最具性价主机配置</a>
					<div>
						在网上商城看到了一套非常具有性价比的i5独显配置,整体硬件搭配还不错,价位仅3199元,具体配置单如下: Ps:i5 4570处理器属于i5 4430的高主频版,性能要更强一些! 整套电脑配置采用了I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze75a8M.html" rel="bookmark" class="title">mac 终端 常用命令总结</a>
					<div>
						基本命令1.列出文件ls 参数 目录名        例: 看看驱动目录下有什么:ls /System/Library/Extensions参数 -w 显示中文,-l 详细信息, -a 包括隐藏文件2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/pXwe6LM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAzMjYyMzIxNTIzMjg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkdsaGJtZG5aV0pzYjJjPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/pXwe6LM.html" rel="bookmark" class="title">spring mvc3 &plus; fastjson</a>
					<div>
						spring 3可以支持Rest风格参数,其内置了jackson框架作为REST的json参数转换成javabean对象,以及bean对象转换成json参数. 下文以spring 3.1.1 + fa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My393lz.html" rel="bookmark" class="title">发送消息的问题</a>
					<div>
						问题描述 我在进行发送消息时,走到发送消息后的回调这个方法时,显示消息的状态是失败的,我输出的错误信息是:无法链接到服务器,急求?? 解决方案 你换成手机4g网络,看看可以不					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA3OkM.html" rel="bookmark" class="title">数据极端倾斜下&comma;如何用Oracle DBMS&lowbar;STATS正确补救？</a>
					<div>
						作者介绍 蒋健,云趣网络科技联合创始人,11g OCM,多年Oracle设计.管理及实施经验,精通数据库优化,Oracle CBO及并行原理,曾为多个行业的客户的 Oracle 系统实施小型机到 X8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2Qgnb.html" rel="bookmark" class="title">开发人员与非技术同事沟通的七个聪明策略</a>
					<div>
						做项目开发需要极具技术性的思维过程,但你会发现工作不仅仅只有编程,和其他同事合作才是你工作的重要组成部分.虽然其他开发者能理解你的技术工作流程,但非技术同事不会.摆脱编程的心态和这些不懂编程的人沟通至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRYjAb.html" rel="bookmark" class="title">探访中国黑客圈：攻击网游牟利 捞金后洗白上岸</a>
					<div>
						2001年,一场持续了7天7夜的&quot;中美黑客大战&quot;让不熟悉http://www.aliyun.com/zixun/aggregation/35925.html&quot;&gt;网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo9ZAM.html" rel="bookmark" class="title">关于博客的背景音乐</a>
					<div>
						[2015-05-15] 注:将播放器从首页移到这里了,点击下面的播放按钮即可播放. 已经不止一次被人问到背景音乐是什么?置顶一下 Traveling Light  (2002年Joel Hanson ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA1Lwb.html" rel="bookmark" class="title">PSR-2</a>
					<div>
						代码风格规范 本篇规范是 PSR-1 基本代码规范的继承与扩展. 本规范希望通过制定一系列规范化PHP代码的规则,以减少在浏览不同作者的代码时,因代码风格的不同而造成不便. 当多名程序员在多个项目中合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ4qRp.html" rel="bookmark" class="title">未来机器人干活 人类围观</a>
					<div>
						腾讯科技讯 英国&lt;卫报&gt;网络版近日刊登了谷歌两位联合创始人拉里•佩奇(Larry Page)和塞吉•布林(Sergey Brin)接受硅谷著名风险投资人维诺德•科斯拉(Vinod Khos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nqg7z.html" rel="bookmark" class="title">咋识别双层pdf？双层PDF怎样转换单层PDF&lpar;代码转换&rpar;？</a>
					<div>
						问题描述 咋识别双层pdf?双层PDF怎样转换单层PDF(代码转换)? 咋识别双层pdf?双层PDF怎样转换单层PDF(代码转换)?最好有代码啊!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoE5OM.html" rel="bookmark" class="title">关于发送聊天信息的问题</a>
					<div>
						问题描述 我需要在通过好友验证后,有本地发送一条消息给自己,发送方是好友,接收方是自己,但是最终显示的跟正常的聊天一样,[[EaseMob sharedInstance].chatManager as ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NkQlb.html" rel="bookmark" class="title">ubuntu下root配置问题</a>
					<div>
						问题描述 ubuntu下root配置问题 我是在虚拟机上用的ubuntu14,在终端设置root的密码时,先输入的sudo password,然后提示我输入我的账户的密码,我输入后,然后提示的是:su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7l5qM.html" rel="bookmark" class="title">深入浅析Nginx实现AJAX跨域请求问题&lowbar;AJAX相关</a>
					<div>
						AJAX从一个域请求另一个域会有跨域的问题.那么如何在nginx上实现ajax跨域请求呢?要在nginx上启用跨域请求,需要添加add_header Access-Control*指令.如下所示: l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0KmNp.html" rel="bookmark" class="title">CentOS系统下Redis安装配置教程</a>
					<div>
						这里参考了太多教程已经忘了在哪一篇配置成功的了,总之还是编译安装大法. 首先下载: wget http://download.redis.io/releases/redis-2.8.13.tar.gz ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkyA2z.html" rel="bookmark" class="title">Ubuntu搭建Eclipse&plus;JDK&plus;SDK的Android开发环境&lowbar;Linux</a>
					<div>
						今晚重装Ubuntu系统,重新安装了一套eclipse+jdk+SDK的Android开发平台 一 安装配置Eclipse环境 1 下载安装包 Eclipse:eclipse官方下载网站, 或直接下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN8lQp.html" rel="bookmark" class="title">求该异常解决办法：SRVE0216E&colon; post主体包含的字节比内容长度指定的字节要少</a>
					<div>
						问题描述 ibmws总是报此错误,求解决办法,谢谢![7/3/0913:24:05:786GMT+08:00]000000a5SRTServletReqESRVE0133E:语法分析参数时发生错误.j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YRnNp.html" rel="bookmark" class="title">索尼最新PS4问世至今销量已破700万台</a>
					<div>
						摘要: 索尼在游戏机市场一直春风得意,这已是不争的事实.有消息称,在消费电子品市场日益萎靡的今天,索尼最新PS4问世至今销量已破700万台.相比之下,微软上季财报却显示,Xbox One还 索尼在游戏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWJD8p.html" rel="bookmark" class="title">android listview闪退问题</a>
					<div>
						问题描述 android listview闪退问题 listview有时候会闪退,有时候不会,而且滚动刷新数据的时候有时候会闪退有时候不会,adapter.notifyDataSetChanged() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWDB1p.html" rel="bookmark" class="title">网上读书资料下载 不止百度文库</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 从今年&quot;国际消费者权益日&quot;近50名作家联名发出&lt;&quot;3?15&quot;中国作家讨百度书&gt;要求百度文库停止对自身 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByroAz.html" rel="bookmark" class="title">AlphaGo 为何缺席计算机围棋赛？或已是不同物种</a>
					<div>
						3月19日,UEC杯世界围棋计算机大赛在日本结束,中国的围棋程序绝艺击败日本的DeepZenGo,取得冠军.这次比赛其实也邀请了AlphaGo,但被他们拒绝了.参赛的围棋程序大都是学习2016年Dee ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKLQkz.html" rel="bookmark" class="title">与iOS 6相比用户更喜欢iOS 7的图标</a>
					<div>
						硅谷网讯 iOS7的图标和http://www.aliyun.com/zixun/aggregation/11676.html&quot;&gt;iOS6的图标到底哪个版本好看目前仍然存在极大争议,为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ORY8b.html" rel="bookmark" class="title">网盛生意宝孙德良：机会自变革中产生 管理要平衡</a>
					<div>
						投资界10月18日消息,在清科集团第三届中国高成长企业CEO峰会上,网盛生意宝董事长孙德良认为,从宏观角度来说,以下几个方面必须进行变革.第一.劳动结构:第二.分配结构:第三.http://www.a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOyLez.html" rel="bookmark" class="title">超级网银试点今日满月收费标准受到高度关注</a>
					<div>
						[深圳商报讯]中国人民银行推出的&quot;超级网银&quot;8月30日上线,今日迎来试点满月的日子.由于处于试运营期,&quot;超级网银&quot;目前未开始收费,那么今后正式运营的&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
